//  BMPx - The Dumb Music Player
//  Copyright (C) 2005-2007 BMPx development team.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License Version 2
//  as published by the Free Software Foundation.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//  --
//
//  The BMPx project hereby grants permission for non-GPL compatible GStreamer
//  plugins to be used and distributed together with GStreamer and BMPx. This
//  permission is above and beyond the permissions granted by the GPL license
//  BMPx is covered by.

#ifndef BMP_URI_HANDLER_HH
#define BMP_URI_HANDLER_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif //HAVE_CONFIG_H

#include <glib/ghash.h>
#include <glibmm/ustring.h>
#include <sigc++/signal.h>
#include <boost/format.hpp>

#include "bmp/base-types.hh"
#include "bmp/ui-types.hh"

namespace Bmp
{
    class UriHandler
    {
      public:
  
        UriHandler ()
        {}

        virtual
        ~UriHandler ()
        {}

        virtual StrV 
        get_schemes () = 0; 

        virtual void    
        process (VUri const&) = 0;

    }; // end class UriHandler 
} // end namespace Bmp 
  
#endif
